#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './generalwidget.ui'
**
** Created: Tue Jun 12 17:41:56 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GeneralWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GeneralWidget::GeneralWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GeneralWidget" );
    GeneralWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "GeneralWidgetLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    _fileList = new QListView( groupBox1, "_fileList" );
    _fileList->addColumn( tr2i18n( "Device" ) );
    _fileList->addColumn( tr2i18n( "Channel File" ) );
    _fileList->setAllColumnsShowFocus( TRUE );

    groupBox1Layout->addMultiCellWidget( _fileList, 0, 0, 0, 2 );

    _edit = new QPushButton( groupBox1, "_edit" );

    groupBox1Layout->addWidget( _edit, 1, 1 );
    spacer2 = new QSpacerItem( 121, 11, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2, 1, 0 );
    spacer3 = new QSpacerItem( 141, 11, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer3, 1, 2 );

    GeneralWidgetLayout->addWidget( groupBox1, 2, 0 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    _mouseUpIsHigherNumber = new QRadioButton( buttonGroup1, "_mouseUpIsHigherNumber" );
    _mouseUpIsHigherNumber->setChecked( TRUE );

    buttonGroup1Layout->addWidget( _mouseUpIsHigherNumber, 0, 0 );

    _mouseUpIsLowerNumber = new QRadioButton( buttonGroup1, "_mouseUpIsLowerNumber" );

    buttonGroup1Layout->addWidget( _mouseUpIsLowerNumber, 1, 0 );

    GeneralWidgetLayout->addWidget( buttonGroup1, 1, 0 );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setFrameShadow( QGroupBox::Sunken );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    _showSelected = new QCheckBox( GroupBox1, "_showSelected" );

    GroupBox1Layout->addMultiCellWidget( _showSelected, 0, 0, 0, 2 );

    _channelNumberingStart = new QSpinBox( GroupBox1, "_channelNumberingStart" );
    _channelNumberingStart->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, _channelNumberingStart->sizePolicy().hasHeightForWidth() ) );
    _channelNumberingStart->setMaxValue( 100 );
    _channelNumberingStart->setValue( 2 );

    GroupBox1Layout->addWidget( _channelNumberingStart, 1, 1 );

    textLabel2 = new QLabel( GroupBox1, "textLabel2" );

    GroupBox1Layout->addWidget( textLabel2, 1, 0 );
    spacer10 = new QSpacerItem( 175, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox1Layout->addItem( spacer10, 1, 2 );
    spacer10_2 = new QSpacerItem( 173, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox1Layout->addItem( spacer10_2, 2, 2 );

    _keypressInterval = new QSpinBox( GroupBox1, "_keypressInterval" );
    _keypressInterval->setMaxValue( 100000 );
    _keypressInterval->setMinValue( 200 );
    _keypressInterval->setLineStep( 100 );
    _keypressInterval->setValue( 2000 );

    GroupBox1Layout->addWidget( _keypressInterval, 2, 1 );

    textLabel1 = new QLabel( GroupBox1, "textLabel1" );

    GroupBox1Layout->addWidget( textLabel1, 2, 0 );

    GeneralWidgetLayout->addWidget( GroupBox1, 0, 0 );
    languageChange();
    resize( QSize(428, 388).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order

    // buddies
    textLabel2->setBuddy( _channelNumberingStart );
    textLabel1->setBuddy( _keypressInterval );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralWidget::~GeneralWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralWidget::languageChange()
{
    QToolTip::add( this, QString::null );
    groupBox1->setTitle( tr2i18n( "Channel-File-Location Configuration" ) );
    _fileList->header()->setLabel( 0, tr2i18n( "Device" ) );
    _fileList->header()->setLabel( 1, tr2i18n( "Channel File" ) );
    _edit->setText( tr2i18n( "Edit..." ) );
    QToolTip::add( _edit, tr2i18n( "Opens file dialog to pick a file" ) );
    buttonGroup1->setTitle( tr2i18n( "Mousewheel Behavior" ) );
    _mouseUpIsHigherNumber->setText( tr2i18n( "Mousewheel UP switches to HIGHER channel number" ) );
    _mouseUpIsLowerNumber->setText( tr2i18n( "Mousewheel UP switches to LOWER channel number" ) );
    GroupBox1->setTitle( tr2i18n( "Application Properties" ) );
    _showSelected->setText( tr2i18n( "Show only enabled channels on the channel side-bar" ) );
    QWhatsThis::add( _showSelected, tr2i18n( "Selecting this option will set the channel side-bar to show only those channels you have enabled." ) );
    QToolTip::add( _channelNumberingStart, tr2i18n( "Number to start with if \"Renumber\" is clicked in channels page" ) );
    textLabel2->setText( tr2i18n( "Channel numbering starts at:" ) );
    _keypressInterval->setSuffix( tr2i18n( " ms" ) );
    textLabel1->setText( tr2i18n( "Max. keypress interval time:" ) );
    QToolTip::add( textLabel1, tr2i18n( "Maximum time between key presses to change channel" ) );
    QWhatsThis::add( textLabel1, tr2i18n( "Specifies the maximum time interval between key presses to change channel." ) );
}

#include "generalwidget.moc"
